Revit API

Reply
Valued Contributor
GeomGym
Posts: 88
Registered: ‎03-25-2012
Message 1 of 2 (411 Views)

Revit 2012 Create Slab with Circle Perimeter

411 Views, 1 Replies
03-25-2012 10:20 AM

Apologies if this is actually quite a simple question.

 

When I try to generate a slab with a circle perimeter, I get a resulting error about line being too small.  Do I have to set a span direction or similar to resolve this?

 

Example code below:

Autodesk.Revit.DB.Plane pln = new Autodesk.Revit.DB.Plane(XYZ.BasisZ, XYZ.Zero);
CurveArray ca = new CurveArray();
Autodesk.Revit.DB.Arc a = app.Create.NewArc(pln,40, 0, Math.PI*2.0);
ca.Append(a);
doc.Create.NewFloor(ca, true);

 

Thanks in advance for any light shed on this,

 

Jon

ADN Support Specialist
adam.nagy
Posts: 521
Registered: ‎03-26-2007
Message 2 of 2 (381 Views)

Re: Revit 2012 Create Slab with Circle Perimeter

04-03-2012 06:00 PM in reply to: GeomGym

Hi there,

 

Based on this article it seems that maybe you should split the circle into two semi circles:

http://thebuildingcoder.typepad.com/blog/2010/11/newblend-sample.html

 

Cheers,

Adam Nagy

Autodesk Developer Network



Adam Nagy
Developer Technical Services
Autodesk Developer Network

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Revit Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Revit helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Revit

Twitter

Facebook

Blogs

Youtube